<Project Sdk="Microsoft.NET.Sdk.Razor">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateRuntimeConfigurationFiles>true</GenerateRuntimeConfigurationFiles>
  </PropertyGroup>


  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Web" />
    <PackageReference Include="MediatR" />
    <PackageReference Include="Microsoft.AspNetCore.WebUtilities" />
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\NexusReader.Application\NexusReader.Application.csproj" />
  </ItemGroup>

</Project>
